### Hierarchy

- Browser

## Index

### Constructors

- constructor

### Methods

- scan

## Constructors

### constructor

- new Browser(): Browser

- - Defined in lib/browser.ts:11

  Creates a new Browser

  #### Returns Browser

## Methods

### scan

- scan(uniqueIdentifier?: string, timeout?: number): Promise<AppleTV[]>

- - Defined in lib/browser.ts:44

  Scans for AppleTVs on the local network.

  #### Parameters

  - ##### Optional uniqueIdentifier: string

    An optional identifier for the AppleTV to scan for. The AppleTV advertises this via Bonjour.

  - ##### Optional timeout: number

    An optional timeout value (in seconds) to give up the search after.

  #### Returns Promise<AppleTV[]>

  A promise that resolves to an array of AppleTV objects. If you provide a `uniqueIdentifier` the array is guaranteed to only contain one object.

Generated using TypeDoc